Name:          libopenal
Version:       1.21.1
Release:       1mamba
Summary:       Open Audio Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://openal-soft.org/
Source0:       https://openal-soft.org/openal-releases/openal-soft-%{version}.tar.bz2
Source1:       openalrc
Patch0:        openal-conf.patch
Patch1:        openal-etc_openalrc.patch
Patch2:        openal-incl.patch
Patch3:        %{name}-0.0.8-gcc42.patch
Patch4:        libopenal-1.20.1-libSDL2-2.0.12.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libSDL2-devel
BuildRequires: libatomic-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswresample-ffmpeg-devel
BuildRequires: libswscale-ffmpeg-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
#BuildRequires: libSDL_sound-devel
BuildRequires: libalsa-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libjack-devel
BuildRequires: autoconf
BuildRequires: automake
#BuildRequires: libesound-devel
BuildRequires: libogg-devel
BuildRequires: libvorbis-devel
BuildRequires: texinfo
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Obsoletes:     libopenal-test

%description
OpenAL is an audio library designed in the spirit of OpenGL - machine independent, cross platform, and data format neutral, with a clean, simple C-based API.

%package devel
Summary:       Static libraries and header files for openal library
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Group:         Development/Libraries

%description devel
This package contains static libraries and header files for the openal library.

%package -n openal
Summary:       Tools provided with the openal library
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Group:         Applications/Multimedia

%description -n openal
OpenAL is an audio library designed in the spirit of OpenGL - machine independent, cross platform, and data format neutral, with a clean, simple C-based API.

%debug_package

%prep
%setup -q -n openal-soft-%{version}
#%patch4 -p1

%build
%cmake -d build

#   --enable-arts \
#   --enable-alsa \
#   --enable-esd \
#   --enable-vorbis \
#   --enable-sdl \
#   --enable-mp3 \
#   --enable-capture

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

#
# configuration
install -m0755 -d %{buildroot}/etc
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/openalrc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ "$1" -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libopenal.so.*
%doc COPYING

%files -n openal
%defattr(-,root,root,-)
%config %{_sysconfdir}/openalrc
%{_bindir}/allatency
%{_bindir}/alffplay
%{_bindir}/alhrtf
%{_bindir}/alloopback
%{_bindir}/almultireverb
%{_bindir}/alplay
%{_bindir}/alrecord
%{_bindir}/alreverb
%{_bindir}/alstream
%{_bindir}/altonegen
%dir %{_datadir}/openal
%{_datadir}/openal/alsoftrc.sample
%dir %{_datadir}/openal/hrtf
%{_datadir}/openal/hrtf/*.mhr
%dir %{_datadir}/openal/presets
%{_datadir}/openal/presets/*

%files devel
%defattr(-,root,root,-)
%{_bindir}/alsoft-config
%{_bindir}/openal-info
%{_includedir}/AL
#%{_libdir}/libopenal.a
#%{_libdir}/libopenal.la
%{_libdir}/libopenal.so
%dir %{_libdir}/cmake/OpenAL
%{_libdir}/cmake/OpenAL/OpenAL*.cmake
%{_libdir}/pkgconfig/openal.pc

%changelog
* Fri Feb 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.21.1-1mamba
- update to 1.21.1

* Tue Nov 10 2020 Automatic Build System <autodist@mambasoft.it> 1.21.0-1mamba
- automatic version update by autodist

* Sat May 02 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.20.1-1mamba
- update to 1.20.1

* Sat Nov 24 2018 Automatic Build System <autodist@mambasoft.it> 1.19.1-1mamba
- automatic version update by autodist

* Wed Sep 12 2018 Automatic Build System <autodist@mambasoft.it> 1.19.0-1mamba
- automatic version update by autodist

* Mon Sep 25 2017 Automatic Build System <autodist@mambasoft.it> 1.18.2-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 1.18.1-1mamba
- automatic version update by autodist

* Tue Jan 26 2016 Automatic Build System <autodist@mambasoft.it> 1.17.2-1mamba
- automatic version update by autodist

* Fri Dec 18 2015 Automatic Build System <autodist@mambasoft.it> 1.17.1-1mamba
- automatic version update by autodist

* Tue Nov 24 2015 Automatic Build System <autodist@mambasoft.it> 1.17.0-1mamba
- automatic version update by autodist

* Fri Sep 05 2014 Automatic Build System <autodist@mambasoft.it> 1.16.0-1mamba
- automatic version update by autodist

* Wed Dec 12 2012 Automatic Build System <autodist@mambasoft.it> 1.15.1-1mamba
- automatic version update by autodist

* Sat Dec 08 2012 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- update to 1.15

* Fri Jan 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.854-1mamba
- update to 1.12.854
- removed build requirement for arts

* Thu Jun 03 2010 Automatic Build System <autodist@mambasoft.it> 1.11.753-1mamba
- update to 1.11.753

* Sat Jul 11 2009 Automatic Build System <autodist@mambasoft.it> 1.8.466-1mamba
- automatic update by autodist

* Thu Apr 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.411-1mamba
- update to 1.7.411

* Sat May 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.8-2mamba
- added patch for gcc 4.2

* Tue Jan 30 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.8-1qilnx
- update to version 0.0.8 by autospec

* Tue Apr 05 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.0-3qilnx
- Added changelog

* Tue Apr 05 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.0-2qilnx
- Rebuild and moved from devel-contrib repository to devel repository 

* Wed Mar 16 2005 Matteo Bernasconi <voyagernm@virgilio.it> 0.0-1qilnx
- First Build
